## org.eclipse.emf.ocl.utilities
Interface TypedASTNode

All Superinterfaces:
  ASTNode, EObject, Notifier

All Known Subinterfaces:
  BagType, CollectionType, OrderedSetType, SequenceType, SetType, TupleLiteralPart, UnspecifiedValueExp, Variable

All Known Implementing Classes:
  BagTypeImpl, CollectionTypeImpl, OrderedSetTypeImpl, SequenceTypeImpl, SetTypeImpl, TupleLiteralPartImpl, UnspecifiedValueExpImpl, VariableImpl

Deprecated. Use the `TypedASTNode` interface, instead.

    @Deprecated
    public interface TypedASTNode

extends ASTNode

A representation of the model object 'Typed AST Node'.

The following features are supported:

- `Type Start Position`
- `Type End Position`

See Also:
  `UtilitiesPackage.getTypedASTNode()`

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`int` `getTypeEndPosition()` Deprecated. Returns the value of the 'Type End Position' attribute.
`int` `getTypeStartPosition()` Deprecated. Returns the value of the 'Type Start Position' attribute.
`void` `setTypeEndPosition(int value)` Deprecated. Sets the value of the '`Type End Position`' attribute
`void` `setTypeStartPosition(int value)` Deprecated. Sets the value of the '`Type Start Position`' attribute

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getTypeStartPosition

    int getTypeStartPosition()

  Deprecated.
  Returns the value of the 'Type Start Position' attribute. The default value is `"-1"`.

  If the meaning of the 'Type Start Position' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Start Position' attribute.
  See Also:
    `setTypeStartPosition(int)`, `UtilitiesPackage.getTypedASTNode_TypeStartPosition()`

### setTypeStartPosition

    void setTypeStartPosition(int value)

  Deprecated.
  Sets the value of the '`Type Start Position`' attribute.

  Parameters:
    `value` - the new value of the 'Type Start Position' attribute.
  See Also:
    `getTypeStartPosition()`

### getTypeEndPosition

    int getTypeEndPosition()

  Deprecated.
  Returns the value of the 'Type End Position' attribute. The default value is `"-1"`.

  If the meaning of the 'Type End Position' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type End Position' attribute.
  See Also:
    `setTypeEndPosition(int)`, `UtilitiesPackage.getTypedASTNode_TypeEndPosition()`

### setTypeEndPosition

    void setTypeEndPosition(int value)

  Deprecated.
  Sets the value of the '`Type End Position`' attribute.

  Parameters:
    `value` - the new value of the 'Type End Position' attribute.
  See Also:
    `getTypeEndPosition()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.